Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.setup
Class DefaultHibernateConfigurator

    java.lang.Object
      com.atlassian.bamboo.setup.DefaultHibernateConfigurator

    public class DefaultHibernateConfigurator

extends Object

Constructor Summary
`DefaultHibernateConfigurator()`

Method Summary
`void` | `configureDatabase(DatabaseDetails dbDetails, boolean embedded)`
`void` | `configureDatasource(String datasourceName, String dialect)`
`static void` | `createBambooSchema(Configuration hibernateConfig)`
`protected String` | `getHsqlDbName()`
`void` | `refreshSpringContextAndCreateDatabase(Properties properties)`
`void` | `unconfigureDatabase()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHibernateConfigurator

    public DefaultHibernateConfigurator()

Method Detail

### configureDatabase

    public void configureDatabase(DatabaseDetails dbDetails,
                                  boolean embedded)
                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### getHsqlDbName

    protected String getHsqlDbName()

### configureDatasource

    public void configureDatasource(String datasourceName,
                                    String dialect)
                             throws ConfigurationException

  Throws:
    `ConfigurationException`

### unconfigureDatabase

    public void unconfigureDatabase()

### refreshSpringContextAndCreateDatabase

    public void refreshSpringContextAndCreateDatabase(Properties properties)
                                               throws ConfigurationException

  Throws:
    `ConfigurationException`

### createBambooSchema

    public static void createBambooSchema(Configuration hibernateConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.